<script setup>
  import { onLoad, onUnload } from '@dcloudio/uni-app'
  import { ref } from 'vue'
  import { reLaunch } from '@/utils/router'

  const indexGo = ref(null)

  onLoad(() => {
    // 3秒后跳转
    indexGo.value = setTimeout(() => {
      reLaunch('/TUIKit/components/TUIConversation/index')
    }, 3000)
  })

  onUnload(() => {
    clearTimeout(indexGo.value)
  })
  const title = ref('这个是启动页')
</script>

<template>
  <view class="content">
    <image class="logo" src="/static/logo.png"></image>
    <view class="text-area">
      <text class="title">{{ title }}</text>
    </view>
  </view>
</template>

<style>
  .content {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }

  .logo {
    height: 200rpx;
    width: 200rpx;
    margin-top: 200rpx;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 50rpx;
  }

  .text-area {
    display: flex;
    justify-content: center;
  }

  .title {
    font-size: 36rpx;
    color: #8f8f94;
  }
</style>
